MEMCACHED_FLUSH(3)

NAME
memcached_flush - libmemcached Documentation

SYNOPSIS

#include <libmemcached/memcached.h>
    Compile and link with -lmemcached

memcached_return_t <#_CPPv418memcached_return_t> memcached_flush(memcached_st <#_CPPv412memcached_st> *ptr, time_t expiration)

Parameters

•   ptr -- pointer to an initialized memcached_st <#_CPPv412memcached_st> struct

•   expiration -- expiration as a unix timestamp or as relative expiration time in seconds

Returns
    memcached_return_t <#_CPPv418memcached_return_t> indicating success

DESCRIPTION

memcached_flush() is used to wipe clean the contents of memcached(1) <https://linux.die.net/man/1/memcached> servers. It will either do this immediately or expire the content based on the expiration time passed to the method (a value of zero causes an immediate flush). The operation is not atomic to multiple servers, just atomic to a single server. That is, it will flush the servers in the order that they were added.

RETURN VALUE

A value of type memcached_return_t <#_CPPv418memcached_return_t> is returned. On success that value will be MEMCACHED_SUCCESS <#_CPPv4N18memcached_return_t17MEMCACHED_SUCCESSE>. Use memcached_strerror() <#_CPPv418memcached_strerrorP12memcached_st18memcached_return_t> to translate this value to a printable string.

SEE ALSO

memcached(1) <https://linux.die.net/man/1/memcached> libmemcached(3) <https://linux.die.net/man/3/libmemcached> memcached_strerror(3) <https://linux.die.net/man/3/memcached_strerror>